> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Configuration



## OpenAPI

````yaml POST /v1/media-searches/configuration/create-configuration
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/media-searches/configuration/create-configuration:
    post:
      tags:
        - Media Search Configuration
      summary: Create Media Search Configuration
      parameters:
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/main.createMediaSearchConfigRequest'
        description: request body
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.createSearchConfigResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.createMediaSearchConfigRequest:
      type: object
      properties:
        data:
          description: >-
            `data` contains the parameters for configuring a media search, such
            as keywords, risk categories, and language.
          type: object
          required:
            - keyword_lists
            - language
            - risk_categories
          properties:
            disambiguation_auto_risk_assessment:
              description: >-
                `disambiguation_auto_risk_assessment` if `active` is set `true`,
                articles with the set disambiguation `threshold` or below will
                be automatically risk-assessed as not risky.
              type: object
              properties:
                active:
                  description: >-
                    `active` indicates whether the
                    `disambiguation_auto_risk_assessment`is active or not
                  type: boolean
                  example: true
                threshold:
                  description: >-
                    `threshold` if an article has disambiguation match the score
                    of threshold or below, the article will be risk-assesses as
                    not risky.
                  type: integer
                  example: 2
            keyword_lists:
              description: >-
                `keyword_lists` contains a list of keyword list input items,
                each representing a group of keywords for the search
                configuration.
              type: array
              items:
                $ref: '#/components/schemas/main.NewKeyWordListInputItem'
            keywords:
              description: >-
                `WARNING: keywords are deprecated - use keyword_lists instead`.
                Your current implementation with `keywords` is still supported.
              type: array
              items:
                type: string
              example:
                - Fraud
                - Theft
                - Steal
                - Scam
                - Money Laundering
                - Sanction
                - Human Rights Violation
                - Terrorist
                - Organised Crime
                - Corrupt
                - Bribe
                - Tax Evasion
                - Convicted
                - Sentenced
                - Arrested
                - Child Labour
            language:
              description: >-
                `language` represents the language the search will be summarised
                in. The language and the language of the risk_categories need to
                match.
              type: string
              example: en
            look_back_period:
              description: >-
                `look_back_period` defines the look back period. Articles that
                got published before the look back period (today - days
                specified) will be ignored.
              allOf:
                - $ref: '#/components/schemas/main.lookBackPeriod'
            monitoring:
              description: >-
                `monitoring` defines the monitoring configuration details
                associated with the media search configuration request.
              allOf:
                - $ref: '#/components/schemas/main.monitoringInput'
            risk_categories:
              description: '`risk_categories` represents a list of risk types.'
              type: array
              items:
                type: string
              example:
                - Fraud
                - Money Laundering
                - Sanctions
                - Human Rights Abuse
                - Environmental Abuse
                - Terrorism
                - Organized Crime
                - Corruption
                - Tax Crimes
                - Violence
                - Theft
                - Discrimination
                - Other
    main.createSearchConfigResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            media_search_configuration_id:
              description: >-
                `media_search_configuration_id` represents the unique identifier
                for a media search configuration.
              type: string
              example: 123e4567-e89b-12d3-a456-426614174000
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    main.NewKeyWordListInputItem:
      type: object
      properties:
        keywords:
          type: array
          items:
            type: string
          example:
            - Fraud
            - Theft
            - Steal
            - Scam
            - Money Laundering
            - Sanction
            - Human Rights Violation
            - Terrorist
            - Organised Crime
            - Corrupt
            - Bribe
            - Tax Evasion
            - Convicted
            - Sentenced
            - Arrested
            - Child Labour
        name:
          type: string
          example: ESG Risk
    main.lookBackPeriod:
      type: object
      properties:
        days:
          description: >-
            `days` specifies the look back period in days, represented as an
            integer.

            All articles that got published before the look back period (today -
            days specified) will be ignored.
          type: integer
          example: 360
        is_active:
          description: >-
            `is_active` indicates whether a look back period is enabled for the
            given configuration.
          type: boolean
          example: true
    main.monitoringInput:
      type: object
      properties:
        interval:
          description: >-
            `interval` specifies the frequency of monitoring, represented as a
            string.
          type: string
          example: WEEKLY
        is_active:
          description: >-
            `is_active` indicates whether monitoring is enabled for the given
            configuration.
          type: boolean
          example: true
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string

````